cgGLEnableProgramProfiles(3)

NAME
cgGLEnableProgramProfiles - enable all profiles associated with a combined program

SYNOPSIS
  #include <Cg/cgGL.h>
  void cgGLEnableProgramProfiles( CGprogram program );

PARAMETERS

program
    The combined program for which the profiles will be enabled.

RETURN VALUES
None.

DESCRIPTION
cgGLEnableProgramProfiles enables the profiles for all of the programs in a combined program.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

CG_INVALID_PROFILE_ERROR is generated if the profile for any of the programs in program is not a supported OpenGL profile.

HISTORY
cgGLEnableProgramProfiles was introduced in Cg 1.5.

SEE ALSO
cgGLDisableProgramProfiles, cgCombinePrograms